update fiscal_nf_capa nf
set vr_icms = pesquisa_nf.vr_encargo,
    vr_base_icms = pesquisa_nf.vr_base_calculo
from
(select nf.id,
sum(tributacao.vr_encargo) as vr_encargo,
sum(tributacao.vr_base_calculo) as vr_base_calculo
from fiscal_nf_capa nf
inner join estoque_movimento_itens itens on itens.nf_id = nf.id
inner join fiscal_nf_item_tributacao tributacao on tributacao.movimento_itens_id = itens.id
inner join fiscal_cst cst on cst.id = tributacao.cst_id
inner join fiscal_encargo encargo on encargo.id = tributacao.encargo_id
where
cst.tipo = 'T' and
encargo.sigla = 'ICMS'
group by nf.id,tributacao.id) as pesquisa_nf
where nf.id = pesquisa_nf.id;
