SELECT ep.codigo                AS codigo_produto,
       ep.NAME                  AS descricao,
       fe.sigla                 AS encargo,
       fte.tipo_tributacao      AS tipo_tributacao,
       fc.fiscst_tipo_movimento AS tipo_movimento_cst,
       fc.codigo                AS cst
FROM   fiscal_tributacao_encargos fte
       INNER JOIN fiscal_encargo fe
               ON fe.id = fte.encargo_id
       INNER JOIN estoque_produto ep
               ON ep.id = fte.produto_id
       INNER JOIN fiscal_cst fc
               ON fc.id = fte.cst_id
WHERE  fte.tipo_tributacao = 'E'
       AND fe.sigla IN ( 'PIS', 'COFINS' )
       AND fc.fiscst_tipo_movimento <> 'E'
UNION ALL
SELECT ep.codigo                AS codigo_produto,
       ep.NAME                  AS descricao,
       fe.sigla                 AS encargo,
       fte.tipo_tributacao      AS tipo_tributacao,
       fc.fiscst_tipo_movimento AS tipo_movimento_cst,
       fc.codigo                AS cst
FROM   fiscal_tributacao_encargos fte
       INNER JOIN fiscal_encargo fe
               ON fe.id = fte.encargo_id
       INNER JOIN estoque_produto ep
               ON ep.id = fte.produto_id
       INNER JOIN fiscal_cst fc
               ON fc.id = fte.cst_id
WHERE  fte.tipo_tributacao IN( 'T', 'C', 'P' )
       AND fe.sigla IN ( 'PIS', 'COFINS' )
       AND fc.fiscst_tipo_movimento = 'E'
ORDER  BY codigo_produto
