UPDATE
    fiscal_nf_item_tributacao fnit
SET
    fisnit_cfop_id = ft.cfop_id
FROM
    fiscal_tributacao_agrupar_pgview ft
WHERE
    fnit.fisnit_capa_id = ft.nf_id
    AND fnit.fisnit_cfop_id != ft.cfop_id
    AND fnit.encargo_id = (SELECT id FROM fiscal_encargo WHERE sigla = 'ICMS')
    AND fnit.aliquota = ft.aliquota
    AND fnit.fisnit_tipo_cst = ft.tipo
    AND fnit.vr_base_calculo = ft.vr_base_calculo
RETURNING fnit.fisnit_capa_id; -- Retorna o id das notas que foram alteradas
