-- Atualizaçoes antes de instalar novas versoes
-- 15/05/2012  Revisao 4.754--
alter table adm_condicao_forma drop column sigla;
alter table adm_condicao_forma drop column name;
alter table estoque_parametro_condicoes drop constraint estoque_parametro_condicoes_condicao_id_fkey;

-- 16-05-2012 Revisão 4765
update estoque_embalagem set quantidade_na_embalagem = 1 where quantidade_na_embalagem = 0;

-- 18-05-2012 Revisão 4779
alter table estoquepedidos_pedido_capa drop column condicao_pgto_id;
alter table estoquepedidos_pedido_condicao drop column sequence;
alter table estoquepedidos_pedido_parcela drop column pedido_id;
alter table estoquepedidos_pedido_parcela drop column dias_prazo;
alter table estoquepedidos_pedido_parcela drop column data_vencimento;

-- 23-05-2012 Revisão 4813
alter table estoque_parametro_condicoes drop condicao_forma_id;

-- 23-05-2012 Revisão 4815
alter table orcamentos_orcamento_condicao drop condicao_forma_id;

-- 24-05-2012 Revisão 4832
alter table estoque_produto drop centro_custo_id;

-- 25-05-2012 Revisão 4849
delete from ir_act_window_view win_view where win_view.act_window_id = (select id from ir_act_window where name = 'Pedidos de Venda' and res_model = 'estoquepedidos.pedido.capa')

delete from ir_act_window where name = 'Pedidos de Venda' and res_model = 'estoquepedidos.pedido.capa';

-- 28-05-2012 Revisão 4863
alter table automacao_precos_promocao drop constraint automacao_precos_promocao_codigo_uniq;

-- 31-05-2012 Revisão 4915

alter table fiscal_nf_capa drop condicao_pgto_id;

-- 16-07-2012 Revisão 5242
alter table orcamentos_orcamento_condicao drop sequence;

-- 30-07-2012 Revisão 5358
alter table estoque_categoria drop ect_centro_custo;
alter table ecf_ecf drop centro_custo_id;

-- 01-10-2012 Revisão 5716
alter table estoque_movimento_capa drop operacao;

-- 08-10-2012 Revisão 5785
alter table wizard_consulta_saldos drop quantidade_reservada;
alter table estoque_produto_grade drop qtd_reservada;


-- 20/11/2012  Revisao 6.161--
insert into ir_model_data (name, module, model, res_id) values ('adm_parametro_1', 'adm','adm.parametro', (select id from adm_parametro limit 1));
insert into adm_moeda (name, sigla) values ('Indice Interno de Preços', 'IIP');
insert into ir_model_data (name, module, model, res_id) values ('adm_moeda_iip', 'adm','adm.moeda', (select id from adm_moeda where sigla='IIP'));
insert into ir_model_data (name, module, model, res_id) values ('adm_parametro_1', 'adm','adm.parametro', (select id from adm_parametro limit 1));
insert into ir_model_data (name, module, model, res_id) values ('financeiro_parametros_1', 'financeiro','financeiro.parametros', (select id from financeiro_parametros limit 1));



-- 01/12/2012  Revisão 6245     ----> Executar antes de atualizar a versão
alter table adm_empresa_centrocusto drop constraint adm_empresa_centrocusto_codigo_uniq;
alter table clientes_cliente rename to financeiro_cliente;
alter sequence clientes_cliente_id_seq rename to financeiro_cliente_id_seq;
alter table cheques_cheque_devolucao rename to financeiro_cheque_devolucao;
alter sequence cheques_cheque_devolucao_id_seq rename to financeiro_cheque_devolucao_id_seq;
alter table cheques_motivo_devolucao rename to financeiro_cheque_motivo_devolucao;
alter sequence cheques_motivo_devolucao_id_seq rename to financeiro_cheque_motivo_devolucao_id_seq;
alter table pessoa_pessoa rename to adm_pessoa;
alter sequence pessoa_pessoa_id_seq rename to adm_pessoa_id_seq;
alter table pessoa_categoria_nome rename to adm_pessoa_categoria_nome;
alter sequence pessoa_categoria_nome_id_seq rename to adm_pessoa_categoria_nome_id_seq;
alter table pessoa_documento_complemento rename to adm_pessoa_documento_complemento;
alter sequence pessoa_documento_complemento_id_seq rename to adm_pessoa_documento_complemento_id_seq;
alter table pessoa_documento_complemento_tipo rename to adm_pessoa_documento_complemento_tipo;
alter sequence pessoa_documento_complemento_tipo_id_seq rename to adm_pessoa_documento_complemento_tipo_id_seq;
alter table pessoa_documento_dados rename to adm_pessoa_documento_dados;
alter sequence pessoa_documento_dados_id_seq rename to adm_pessoa_documento_dados_id_seq;
alter table pessoa_documento_tipo rename to adm_pessoa_documento_tipo;
alter sequence pessoa_documento_tipo_id_seq rename to adm_pessoa_documento_tipo_id_seq;
alter table pessoa_email_homepage rename to adm_pessoa_homepage;
alter sequence pessoa_email_homepage_id_seq rename to adm_pessoa_homepage_id_seq;
alter table pessoa_email_tipo rename to adm_email_tipo;
alter sequence pessoa_email_tipo_id_seq rename to adm_email_tipo_id_seq;
alter table pessoa_email rename to adm_pessoa_email;
alter sequence pessoa_email_id_seq rename to adm_pessoa_email_id_seq;
alter table pessoa_endereco_pais rename to adm_pais;
alter sequence pessoa_endereco_pais_id_seq rename to adm_pais_id_seq;
alter table pessoa_telefone_tipo rename to adm_telefone_tipo;
alter sequence pessoa_telefone_tipo_id_seq rename to adm_telefone_tipo_id_seq;
alter table pessoa_telefone rename to adm_pessoa_telefone;
alter sequence pessoa_telefone_id_seq rename to adm_pessoa_telefone_id_seq;
alter table pessoa_endereco_logradouro rename to adm_logradouro;
alter sequence pessoa_endereco_logradouro_id_seq rename to adm_logradouro_id_seq;
alter table pessoa_relacionamento_tipo rename to adm_relacionamento_tipo;
alter sequence pessoa_relacionamento_tipo_id_seq rename to adm_relacionamento_tipo_id_seq;
alter table pessoa_endereco_uf rename to adm_uf;
alter sequence pessoa_endereco_uf_id_seq rename to adm_uf_id_seq;
alter table pessoa_endereco_tipo rename to adm_endereco_tipo;
alter sequence pessoa_endereco_tipo_id_seq rename to adm_endereco_tipo_id_seq;
alter table pessoa_endereco_cidade rename to adm_cidade;
alter sequence pessoa_endereco_cidade_id_seq rename to adm_cidade_id_seq;
alter table pessoa_endereco_bairro rename to adm_bairro;
alter sequence pessoa_endereco_bairro_id_seq rename to adm_bairro_id_seq;
alter table pessoa_endereco_regiao rename to adm_regiao;
alter sequence pessoa_endereco_regiao_id_seq rename to adm_regiao_id_seq;
alter table pessoa_endereco rename to adm_pessoa_endereco;
alter sequence pessoa_endereco_id_seq rename to adm_pessoa_endereco_id_seq;
alter table pessoa_relacionamento rename to adm_pessoa_relacionamento;
alter sequence pessoa_relacionamento_id_seq rename to ratatv_relacionamento_id_seq;
alter table pessoa_cep rename to adm_cep;
alter sequence pessoa_cep_id_seq rename to adm_cep_id_seq;
alter table pessoa_question_rel rename to adm_pessoa_question_rel;
alter sequence pessoa_question_rel_id_seq rename to adm_pessoa_question_rel_id_seq;
update ir_model_data set model='adm.pessoa' where model='pessoa.pessoa';
update ir_model_data set name='adm_pessoa_1' where name='pessoa_pessoa_1';
update ir_model_data set name='adm_pessoa_2' where name='pessoa_pessoa_2';
update ir_model_data set model = 'adm.pessoa.documento.tipo' where model='pessoa.documento.tipo';
update ir_model_data set name = replace(name, 'pessoa_documento_tipo', 'adm_pessoa_documento_tipo') where model = 'adm.pessoa.documento.tipo';
update ir_model_data set name=replace(name, 'pessoa_endereco_pais', 'adm_pais') where name like 'pessoa_endereco_pais%';
update ir_model_data set model='adm.pais' where model = 'pessoa.endereco.pais';
update ir_model_data set name=replace(name, 'adm_email_tipo', 'adm_telefone_tipo') where model = 'adm.telefone.tipo';
update ir_model_data set name=replace(name, 'pessoa_email_tipo', 'adm_telefone_tipo') where model = 'adm.telefone.tipo';
update ir_model_data set name=replace(name, 'pessoa_email_tipo', 'adm_telefone_tipo') where model = 'adm.telefone.tipo';
update ir_model_data set name=replace(name, 'adm_pessoa_telefone_tipo', 'adm_telefone_tipo') where model = 'adm.telefone.tipo';
update ir_model_data set name = replace(name, 'pessoa_relacionamento_tipo', 'adm_relacionamento_tipo'), model = 'adm.relacionamento.tipo' where name like 'pessoa_relacionamento_tipo%';
update ir_model_data set name = replace(name, 'pessoa_email_tipo', 'adm_email_tipo'), model = 'adm.email.tipo' where name like 'pessoa_email_tipo%';
update ir_model_data set name = replace(name, 'pessoa_telefone_tipo', 'adm_telefone_tipo'), model = 'adm.telefone.tipo' where name like 'pessoa_telefone_tipo%';
update ir_model_data set model='adm.telefone.tipo' where model='pessoa.telefone.tipo';
update ir_model_data set name=replace(name, 'adm_pessoa_relacionamento_tipo', 'adm_relacionamento_tipo') where name like 'adm_pessoa_relacionamento_tipo%';
update ir_model_data set model='adm.relacionamento.tipo' where model='adm.pessoa.relacionamento.tipo';
update ir_model_data set name=replace(name, 'pessoa_endereco_pais', 'adm_uf') where model = 'pessoa.endereco.uf';
update ir_model_data set model='adm.uf' where model = 'pessoa.endereco.uf';
update ir_model_data set name=replace(name, 'pessoa_endereco_tipo', 'adm_endereco_tipo') where model = 'pessoa.endereco.tipo';
update ir_model_data set model='adm.endereco.tipo' where model = 'pessoa.endereco.tipo';
delete from ir_model where model in ('clientes.cliente', 'pessoa.categoria.nome', 'adm.pessoa.email.tipo', 'adm.pessoa.email.homepage', 'pessoa.documento.tipo', 'pessoa.documento.dados', 'pessoa.documento.complemento_tipo', 'pessoa.documento.complemento', 'cheques.motivo.devolucao', 'cheques.cheque.devolucao' );
delete from ir_ui_view where model = 'res.users' and inherit_id is not null;
delete from ir_model_data where name = 'module_meta_information' and module in ('pessoa');
delete from ir_model_data where name = 'model_pessoa_pessoa' and module = 'adm';
delete from ir_model_data where name = 'view_company_form_inherit' and module = 'pessoa';
delete from ir_model_data where name = 'model_res_users' and module in ('adm', 'pessoa');
update ir_model_data set module = 'adm' where module = 'pessoa';
insert into ir_model_data (name, module, model, res_id) values ('empresa_centrocusto_1', 'adm','adm.empresa.centrocusto', (select id from adm_empresa_centrocusto where sigla = 'ADM'));
insert into ir_model_data (name, module, model, res_id) values ('tesouraria_conta_caixa', 'financeiro','financeiro.tesouraria.contas', (select id from financeiro_tesouraria_contas where apelido = 'Caixa'));

-- 08/12/2012  Revisão 6278     ----> Executar antes de atualizar a versão
insert into ir_model_data (name, module, model, res_id) values ('fiscal_parametro_1', 'fiscal','fiscal.parametro', (select id from fiscal_parametro limit 1));

-- 13/12/2012 Revisão 6320
delete from ir_attachment where res_model = 'pessoa.pessoa';

-- 31/01/2013
alter table rh_funcionario drop constraint rh_funcionario_ecf_operador_uniq;

-- 06/02/2013 Revisão 6861
alter table estoque_local drop column aceita_fracionamento;

-- 07/02/2013 Revisão 6899
update ir_rule set active = False where id = (select id from ir_rule where name = 'res_partner: read access on my partner');

-- 15/02/2013  Revisão 7016 --> Excutar em base que ja tenha o modulo numero de série instalado.
ALTER TABLE estoqueserie_produto DROP CONSTRAINT estoqueserie_produto_numero_serie_grade_uniq;

-- 22/02/2013
delete from ir_ui_view where id in (select id from ir_ui_view where name = 'res.user.form.inherity');

-- 25/02/2013 - Ajustar o tamanho do codigo para 6 digitos
update estoque_produto set codigo = lpad(codigo, 6, '0');

-- 07/03/2013 - Remoção de constraint do titulo.
ALTER TABLE financeiro_titulo DROP CONSTRAINT financeiro_titulo_financeiro_uniq;

-- 20/03/2013 - Revisão 7329
update ir_model_data set module = 'crm_br' where module = 'crm_br_configuration' and model like 'crm_br%';
update ir_model_constraint set module = (select id from ir_module_module where name ='crm_br') where module = (select id from ir_module_module where name = 'crm_br_configuration') ;
update ir_module_module set state = 'to upgrade' where name = 'crm_br';
update ir_module_module set state = 'to remove' where name = 'crm_br_configuration';
delete from ir_model_data where module = 'crm_br_configuration' and name in ('model_crm_br_case', 'model_crm_br_case_atendimentos_capa', 'model_crm_br_case_category2', 'model_crm_br_case_pipeline', 'model_crm_br_case_pipeline_detalhe', 'model_crm_br_case_stage', 'model_crm_br_case_tickets', 'model_crm_br_menu_config_wizard', 'model_make_opportunity', 'model_report_crm_br_atendimentos_x_user', 'model_report_crm_br_atividades_executadas', 'model_report_crm_br_case_lead_semana', 'model_report_crm_br_case_section_categ2', 'model_report_crm_br_case_section_categ_categ2', 'model_report_crm_br_case_section_categ_stage', 'model_report_crm_br_case_section_stage', 'model_report_crm_br_logs_atendimentos', 'model_report_crm_br_open_age', 'model_report_crm_br_open_category', 'model_report_crm_br_open_stage', 'model_report_crm_br_open_user_id', 'model_report_crm_br_state', 'module_meta_information');

-- 21/03/2013 Revisão 7332
update ir_module_module set state = 'to install' where name = 'board';

-- 26/03/2013 - Excluir views que tenha 'exibir_obs_pessoa', pois não consegue atualizar
delete from ir_ui_view where arch like '%exibir_obs_pessoa%';

--05/04/2013 - Executar após aplicar a patch.
delete from ir_ui_view where arch like '%condicao_pgto_id%' and model = 'financeiro.cliente';

--16/04/2013 - Chamado 47104
update ir_act_window set context = '{"section_id": "leads"}' where res_model = 'crm_br.case' and name ilike '%lead%';
--23/04/2013 - Chamado 47490
delete from ir_ui_view where arch like '%estpro_composicao%';
--Erro de adm.parametro
delete from ir_ui_view where arch like '%pis_deduzir%'; 

--------------------------------------------------------------------------------------
-- Sqls para depois de atualizar a versao
-- 27/11/2012  Revisao 6.203   ----> Executar depois de atualizar a versao
update res_company set rescon_pessoa_id = partner_id where rescon_pessoa_id is null;
update res_company set partner_id = 1;
--05/04/2013---
--  Atualizando informação do campo fisnit_capa_id. Atenção execute após aplicar o patch do chamado 46237---

UPDATE fiscal_nf_item_tributacao
  SET fisnit_capa_id = estoque_movimento_itens.nf_id
  FROM estoque_movimento_itens
  WHERE fiscal_nf_item_tributacao.movimento_itens_id = estoque_movimento_itens.id
  and fiscal_nf_item_tributacao.fisnit_capa_id is null;


-- ============================================================================================== --
-- Listar todas as tabelas do postgres
SELECT tablename FROM pg_tables WHERE tablename NOT LIKE 'pg%' AND tablename NOT LIKE 'sql\_%';

-- ler todas fks das tabelas do postgres
CREATE TEMPORARY TABLE t1 (id SERIAL PRIMARY KEY, nome TEXT);
CREATE TEMPORARY TABLE t2 (id INT REFERENCES t1, nome TEXT);
SELECT
cl.relname AS tabela,
ct.conname AS chave,
pg_get_constraintdef(ct.oid) AS criar_sql
FROM pg_catalog.pg_attribute a
JOIN pg_catalog.pg_class cl ON (a.attrelid = cl.oid AND cl.relkind = 'r')
JOIN pg_catalog.pg_namespace n ON (n.oid = cl.relnamespace)
JOIN pg_catalog.pg_constraint ct ON (a.attrelid = ct.conrelid AND
ct.confrelid != 0 AND ct.conkey[1] = a.attnum)
JOIN pg_catalog.pg_class clf ON (ct.confrelid = clf.oid AND clf.relkind = 'r')
JOIN pg_catalog.pg_namespace nf ON (nf.oid = clf.relnamespace)
JOIN pg_catalog.pg_attribute af ON (af.attrelid = ct.confrelid AND
af.attnum = ct.confkey[1])
order by tabela;


-- Criar todas as PKs
alter table adm_calendario_feriados  ADD CONSTRAINT adm_calendario_feriados_pkey PRIMARY KEY(ID);
alter table adm_empresa_objeto  ADD CONSTRAINT adm_empresa_objeto_pkey PRIMARY KEY(ID);
alter table multi_company_default  ADD CONSTRAINT multi_company_default_pkey PRIMARY KEY(ID);
alter table adm_ocorrencia  ADD CONSTRAINT adm_ocorrencia_pkey PRIMARY KEY(ID);
alter table adm_paginas  ADD CONSTRAINT adm_paginas_pkey PRIMARY KEY(ID);
alter table orcamentos_padrao_itens  ADD CONSTRAINT orcamentos_padrao_itens_pkey PRIMARY KEY(ID);
alter table apuracao_imposto_estorno_debitos  ADD CONSTRAINT apuracao_imposto_estorno_debitos_pkey PRIMARY KEY(ID);
alter table apuracao_imposto_outros_creditos  ADD CONSTRAINT apuracao_imposto_outros_creditos_pkey PRIMARY KEY(ID);
alter table apuracao_imposto_outros_debitos  ADD CONSTRAINT apuracao_imposto_outros_debitos_pkey PRIMARY KEY(ID);
alter table adm_moeda_valor  ADD CONSTRAINT adm_moeda_valor_pkey PRIMARY KEY(ID);
alter table base_language_export  ADD CONSTRAINT base_language_export_pkey PRIMARY KEY(ID);
alter table automacao_precos_promocao  ADD CONSTRAINT automacao_precos_promocao_pkey PRIMARY KEY(ID);
alter table automacao_codigo_barra  ADD CONSTRAINT automacao_codigo_barra_pkey PRIMARY KEY(ID);
alter table automacao_departamento  ADD CONSTRAINT automacao_departamento_pkey PRIMARY KEY(ID);
alter table balanca_nutricionais  ADD CONSTRAINT balanca_nutricionais_pkey PRIMARY KEY(ID);
alter table base_language_import  ADD CONSTRAINT base_language_import_pkey PRIMARY KEY(ID);
alter table base_language_install  ADD CONSTRAINT base_language_install_pkey PRIMARY KEY(ID);
alter table balanca_setor  ADD CONSTRAINT balanca_setor_pkey PRIMARY KEY(ID);
alter table base_module_configuration  ADD CONSTRAINT base_module_configuration_pkey PRIMARY KEY(ID);
alter table patrimoniofiscal_ciap  ADD CONSTRAINT patrimoniofiscal_ciap_pkey PRIMARY KEY(ID);
alter table base_module_upgrade  ADD CONSTRAINT base_module_upgrade_pkey PRIMARY KEY(ID);
alter table base_report_creator_report_model_rel  ADD CONSTRAINT base_report_creator_report_model_rel_pkey PRIMARY KEY(ID);
alter table adm_pessoa_documento_complemento  ADD CONSTRAINT adm_pessoa_documento_complemento_pkey PRIMARY KEY(ID);
alter table base_report_creator_report  ADD CONSTRAINT base_report_creator_report_pkey PRIMARY KEY(ID);
alter table base_report_creator_report_filter  ADD CONSTRAINT base_report_creator_report_filter_pkey PRIMARY KEY(ID);
alter table base_update_translations  ADD CONSTRAINT base_update_translations_pkey PRIMARY KEY(ID);
alter table board_board_line  ADD CONSTRAINT board_board_line_pkey PRIMARY KEY(ID);
alter table base_report_creator_report_result  ADD CONSTRAINT base_report_creator_report_result_pkey PRIMARY KEY(ID);
alter table board_board  ADD CONSTRAINT board_board_pkey PRIMARY KEY(ID);
alter table cancelamento_titulo_osv  ADD CONSTRAINT cancelamento_titulo_osv_pkey PRIMARY KEY(ID);
alter table clientes_mensagem_nome  ADD CONSTRAINT clientes_mensagem_nome_pkey PRIMARY KEY(ID);
alter table financeiro_cheque_motivo_devolucao  ADD CONSTRAINT financeiro_cheque_motivo_devolucao_pkey PRIMARY KEY(ID);
alter table compras_itens_fornecedores  ADD CONSTRAINT compras_itens_fornecedores_pkey PRIMARY KEY(ID);
alter table compras_cotacoes_itens  ADD CONSTRAINT compras_cotacoes_itens_pkey PRIMARY KEY(ID);
alter table compras_requisicao_capa  ADD CONSTRAINT compras_requisicao_capa_pkey PRIMARY KEY(ID);
alter table compras_requisicao_itens  ADD CONSTRAINT compras_requisicao_itens_pkey PRIMARY KEY(ID);
alter table compras_cotacoes_email_osv  ADD CONSTRAINT compras_cotacoes_email_pkey PRIMARY KEY(ID);
alter table compras_comprador  ADD CONSTRAINT compras_comprador_pkey PRIMARY KEY(ID);
alter table process_node  ADD CONSTRAINT process_node_pkey PRIMARY KEY(ID);
alter table ecf_cupons_item  ADD CONSTRAINT ecf_cupons_item_pkey PRIMARY KEY(ID);
alter table process_transition_action  ADD CONSTRAINT process_transition_action_pkey PRIMARY KEY(ID);
alter table process_transition_group_rel  ADD CONSTRAINT process_transition_group_rel_pkey PRIMARY KEY(ID);
alter table concorrencia_concorrente  ADD CONSTRAINT concorrencia_concorrente_pkey PRIMARY KEY(ID);
alter table financeiro_cliente  ADD CONSTRAINT financeiro_cliente_pkey PRIMARY KEY(ID);
alter table ecf_cupons_capa  ADD CONSTRAINT ecf_cupons_capa_pkey PRIMARY KEY(ID);
alter table ecf_cupom_log_osv  ADD CONSTRAINT ecf_cupom_log_osv_pkey PRIMARY KEY(ID);
alter table ecf_cupons_finalizacao  ADD CONSTRAINT ecf_cupons_finalizacao_pkey PRIMARY KEY(ID);
alter table ecf_cupons_xztotalizadores  ADD CONSTRAINT ecf_cupons_xztotalizadores_pkey PRIMARY KEY(ID);
alter table ecf_mapa_resumo_capa  ADD CONSTRAINT ecf_mapa_resumo_capa_pkey PRIMARY KEY(ID);
alter table wkf_transition  ADD CONSTRAINT wkf_transition_pkey PRIMARY KEY(ID);
alter table ecf_cupom_log  ADD CONSTRAINT ecf_cupom_log_pkey PRIMARY KEY(ID);
alter table estoque_embalagem_unidade  ADD CONSTRAINT estoque_embalagem_unidade_pkey PRIMARY KEY(ID);
alter table ecf_cupons_vencimento  ADD CONSTRAINT ecf_cupons_vencimento_pkey PRIMARY KEY(ID);
alter table ecf_cupons_xz  ADD CONSTRAINT ecf_cupons_xz_pkey PRIMARY KEY(ID);
alter table estoque_preco_custo  ADD CONSTRAINT estoque_preco_custo_pkey PRIMARY KEY(ID);
alter table estoque_movimento_capa  ADD CONSTRAINT estoque_movimento_capa_pkey PRIMARY KEY(ID);
alter table res_country_state  ADD CONSTRAINT res_country_state_pkey PRIMARY KEY(ID);
alter table res_bank  ADD CONSTRAINT res_bank_pkey PRIMARY KEY(ID);
alter table estoque_inventario_contagem  ADD CONSTRAINT estoque_inventario_contagem_pkey PRIMARY KEY(ID);
alter table estoque_preco_venda  ADD CONSTRAINT estoque_preco_venda_pkey PRIMARY KEY(ID);
alter table estoque_produto_codigo_fornecedor  ADD CONSTRAINT estoque_produto_codigo_fornecedor_pkey PRIMARY KEY(ID);
alter table fiscal_tributacao_encargos  ADD CONSTRAINT fiscal_tributacao_encargos_pkey PRIMARY KEY(ID);
alter table estoque_produto_osv  ADD CONSTRAINT estoque_produto_osv_pkey PRIMARY KEY(ID);
alter table estoque_produto_saldo  ADD CONSTRAINT estoque_produto_saldo_pkey PRIMARY KEY(ID);
alter table res_lang  ADD CONSTRAINT res_lang_pkey PRIMARY KEY(ID);
alter table res_log  ADD CONSTRAINT res_log_pkey PRIMARY KEY(ID);
alter table estoque_produto_grade_relacionamento  ADD CONSTRAINT estoque_produto_grade_relacionamento_pkey PRIMARY KEY(ID);
alter table estoque_produto_similaridade  ADD CONSTRAINT estoque_produto_similaridade_pkey PRIMARY KEY(ID);
alter table res_partner  ADD CONSTRAINT res_partner_pkey PRIMARY KEY(ID);
alter table estoquepedidos_pedido_parcela  ADD CONSTRAINT estoquepedidos_pedido_parcela_pkey PRIMARY KEY(ID);
alter table estoquecorrecao_tabela  ADD CONSTRAINT estoquecorrecao_tabela_pkey PRIMARY KEY(ID);
alter table res_partner_address  ADD CONSTRAINT res_partner_address_pkey PRIMARY KEY(ID);
alter table fiscal_condicao_pagamento  ADD CONSTRAINT fiscal_condicao_pagamento_pkey PRIMARY KEY(ID);
alter table fiscal_cfop  ADD CONSTRAINT fiscal_cfop_pkey PRIMARY KEY(ID);
alter table fiscal_cfop_natureza_encargos  ADD CONSTRAINT fiscal_cfop_natureza_encargos_pkey PRIMARY KEY(ID);
alter table financeiro_titulo_baixa  ADD CONSTRAINT financeiro_titulo_baixa_pkey PRIMARY KEY(ID);
alter table financeiro_fatura  ADD CONSTRAINT financeiro_fatura_pkey PRIMARY KEY(ID);
alter table users_group  ADD CONSTRAINT users_group_pkey PRIMARY KEY(ID);
alter table fiscal_csosn  ADD CONSTRAINT fiscal_csosn_pkey PRIMARY KEY(ID);
alter table fiscal_deducoes_fornecedor  ADD CONSTRAINT fiscal_deducoes_fornecedor_pkey PRIMARY KEY(ID);
alter table financeiro_tesouraria_conciliacao_itens_osv  ADD CONSTRAINT financeiro_tesouraria_conciliacao_itens_osv_pkey PRIMARY KEY(ID);
alter table wizard_conferencia_itens  ADD CONSTRAINT wizard_conferencia_itens_pkey PRIMARY KEY(ID);
alter table fiscal_export_nfe_osv  ADD CONSTRAINT fiscal_export_nfe_pkey PRIMARY KEY(ID);
alter table fiscal_import_certificado  ADD CONSTRAINT fiscal_import_certificado_pkey PRIMARY KEY(ID);
alter table fiscal_modelo_nf  ADD CONSTRAINT fiscal_modelo_nf_pkey PRIMARY KEY(ID);
alter table fiscal_nf_item_tributacao  ADD CONSTRAINT fiscal_nf_item_tributacao_pkey PRIMARY KEY(ID);
alter table fiscal_modelo_nf_series  ADD CONSTRAINT fiscal_modelo_nf_series_pkey PRIMARY KEY(ID);
alter table fiscal_guia  ADD CONSTRAINT fiscal_guia_pkey PRIMARY KEY(ID);
alter table fiscal_sped  ADD CONSTRAINT fiscal_sped_pkey PRIMARY KEY(ID);
alter table fluxocaixa_previsao  ADD CONSTRAINT fluxocaixa_previsao_pkey PRIMARY KEY(ID);
alter table fiscal_regime_tributario  ADD CONSTRAINT fiscal_regime_tributario_pkey PRIMARY KEY(ID);
alter table fiscal_tributacao_entrada  ADD CONSTRAINT fiscal_tributacao_entrada_pkey PRIMARY KEY(ID);
alter table financeiro_representante  ADD CONSTRAINT financeiro_representante_pkey PRIMARY KEY(ID);
alter table fiscal_tabela_servico  ADD CONSTRAINT fiscal_tabela_servico_pkey PRIMARY KEY(ID);
alter table fiscal_nf_parcelas  ADD CONSTRAINT fiscal_nf_parcelas_pkey PRIMARY KEY(ID);
alter table fiscal_nf_pedidos  ADD CONSTRAINT fiscal_nf_pedidos_pkey PRIMARY KEY(ID);
alter table fiscal_tributacao_excecao  ADD CONSTRAINT fiscal_tributacao_excecao_pkey PRIMARY KEY(ID);
alter table fiscal_utils  ADD CONSTRAINT fiscal_utils_pkey PRIMARY KEY(ID);
alter table fluxocaixa_excluir  ADD CONSTRAINT fluxocaixa_excluir_pkey PRIMARY KEY(ID);
alter table financeiro_fornecedores_servico_pagamento  ADD CONSTRAINT financeiro_fornecedores_servico_pagamento_pkey PRIMARY KEY(ID);
alter table fiscal_parametro  ADD CONSTRAINT fiscal_parametro_pkey PRIMARY KEY(ID);
alter table ir_act_wizard  ADD CONSTRAINT ir_act_wizard_pkey PRIMARY KEY(ID);
alter table gerencial_previsao  ADD CONSTRAINT gerencial_previsao_pkey PRIMARY KEY(ID);
alter table ir_actions  ADD CONSTRAINT ir_actions_pkey PRIMARY KEY(ID);
alter table ir_act_client  ADD CONSTRAINT ir_act_client_pkey PRIMARY KEY(ID);
alter table ir_act_report_custom  ADD CONSTRAINT ir_act_report_custom_pkey PRIMARY KEY(ID);
alter table wkf_activity  ADD CONSTRAINT wkf_activity_pkey PRIMARY KEY(ID);
alter table ir_act_window_group_rel  ADD CONSTRAINT ir_act_window_group_rel_pkey PRIMARY KEY(ID);
alter table ir_act_url  ADD CONSTRAINT ir_act_url_pkey PRIMARY KEY(ID);
alter table ir_act_window_view  ADD CONSTRAINT ir_act_window_view_pkey PRIMARY KEY(ID);
alter table ir_actions_configuration_wizard  ADD CONSTRAINT ir_actions_configuration_wizard_pkey PRIMARY KEY(ID);
alter table ir_actions_todo_category  ADD CONSTRAINT ir_actions_todo_category_pkey PRIMARY KEY(ID);
alter table ir_config_parameter  ADD CONSTRAINT ir_config_parameter_pkey PRIMARY KEY(ID);
alter table ir_exports  ADD CONSTRAINT ir_exports_pkey PRIMARY KEY(ID);
alter table ir_mail_server  ADD CONSTRAINT ir_mail_server_pkey PRIMARY KEY(ID);
alter table ir_cron  ADD CONSTRAINT ir_cron_pkey PRIMARY KEY(ID);
alter table ir_model_data  ADD CONSTRAINT ir_model_data_pkey PRIMARY KEY(ID);
alter table ir_default  ADD CONSTRAINT ir_default_pkey PRIMARY KEY(ID);
alter table ir_filters  ADD CONSTRAINT ir_filters_pkey PRIMARY KEY(ID);
alter table ir_model_access  ADD CONSTRAINT ir_model_access_pkey PRIMARY KEY(ID);
alter table ir_model_fields_group_rel  ADD CONSTRAINT ir_model_fields_group_rel_pkey PRIMARY KEY(ID);
alter table ir_ui_view_sc  ADD CONSTRAINT ir_ui_view_sc_pkey PRIMARY KEY(ID);
alter table ir_server_object_lines  ADD CONSTRAINT ir_server_object_lines_pkey PRIMARY KEY(ID);
alter table ir_ui_view_custom  ADD CONSTRAINT ir_ui_view_custom_pkey PRIMARY KEY(ID);
alter table ir_module_module_dependency  ADD CONSTRAINT ir_module_module_dependency_pkey PRIMARY KEY(ID);
alter table ir_values  ADD CONSTRAINT ir_values_pkey PRIMARY KEY(ID);
alter table ir_sequence  ADD CONSTRAINT ir_sequence_pkey PRIMARY KEY(ID);
-- alter table ir_sequence_type  ADD CONSTRAINT ir_sequence_type_pkey PRIMARY KEY(ID);
alter table ir_ui_menu_group_rel  ADD CONSTRAINT ir_ui_menu_group_rel_pkey PRIMARY KEY(ID);
alter table ir_wizard_screen  ADD CONSTRAINT ir_wizard_screen_pkey PRIMARY KEY(ID);
alter table migrade_application_installer_modules  ADD CONSTRAINT migrade_application_installer_modules_pkey PRIMARY KEY(ID);
alter table maintenance_contract  ADD CONSTRAINT maintenance_contract_pkey PRIMARY KEY(ID);
alter table legado_empresa  ADD CONSTRAINT legado_empresa_pkey PRIMARY KEY(ID);
alter table kit_produto  ADD CONSTRAINT kit_produto_pkey PRIMARY KEY(ID);
alter table legado_controle  ADD CONSTRAINT legado_controle_pkey PRIMARY KEY(ID);
alter table legado_custos  ADD CONSTRAINT legado_custos_pkey PRIMARY KEY(ID);
alter table gerencial_evento_natureza  ADD CONSTRAINT gerencial_evento_natureza_pkey PRIMARY KEY(ID);
alter table orcamentos_orcamento_condicao  ADD CONSTRAINT orcamentos_orcamento_condicao_pkey PRIMARY KEY(ID);
alter table estoque_produto_grade  ADD CONSTRAINT estoque_produto_grade_pkey PRIMARY KEY(ID);
alter table osv_memory_autovacuum  ADD CONSTRAINT osv_memory_autovacuum_pkey PRIMARY KEY(ID);
alter table adm_cep  ADD CONSTRAINT adm_cep_pkey PRIMARY KEY(ID);
alter table partner_clear_ids  ADD CONSTRAINT partner_clear_ids_pkey PRIMARY KEY(ID);
alter table partner_massmail_wizard  ADD CONSTRAINT partner_massmail_wizard_pkey PRIMARY KEY(ID);
alter table partner_sms_send  ADD CONSTRAINT partner_sms_send_pkey PRIMARY KEY(ID);
alter table orcamentos_padrao_capa  ADD CONSTRAINT orcamentos_padrao_capa_pkey PRIMARY KEY(ID);
alter table partner_wizard_ean_check  ADD CONSTRAINT partner_wizard_ean_check_pkey PRIMARY KEY(ID);
alter table pessoa_categoria  ADD CONSTRAINT pessoa_categoria_pkey PRIMARY KEY(ID);
alter table orcamentos_orcamento_itens  ADD CONSTRAINT orcamentos_orcamento_itens_pkey PRIMARY KEY(ID);
alter table adm_endereco_tipo  ADD CONSTRAINT adm_endereco_tipo_pkey PRIMARY KEY(ID);
alter table adm_logradouro  ADD CONSTRAINT adm_logradouro_pkey PRIMARY KEY(ID);
alter table adm_pessoa_email  ADD CONSTRAINT adm_pessoa_email_pkey PRIMARY KEY(ID);
alter table adm_pessoa_documento_complemento_tipo  ADD CONSTRAINT adm_pessoa_documento_complemento_tipo_pkey PRIMARY KEY(ID);
alter table adm_telefone_tipo  ADD CONSTRAINT adm_telefone_tipo_pkey PRIMARY KEY(ID);
alter table adm_pessoa_documento_dados  ADD CONSTRAINT adm_pessoa_documento_dados_pkey PRIMARY KEY(ID);
alter table pessoa_endereco  ADD CONSTRAINT pessoa_endereco_pkey PRIMARY KEY(ID);
alter table adm_pessoa_documento_tipo  ADD CONSTRAINT adm_pessoa_documento_tipo_pkey PRIMARY KEY(ID);
alter table adm_email_tipo  ADD CONSTRAINT adm_email_tipo_pkey PRIMARY KEY(ID);
alter table adm_pessoa_homepage  ADD CONSTRAINT adm_pessoa_homepage_pkey PRIMARY KEY(ID);
alter table adm_regiao  ADD CONSTRAINT adm_regiao_pkey PRIMARY KEY(ID);
alter table adm_relacionamento_tipo  ADD CONSTRAINT adm_relacionamento_tipo_pkey PRIMARY KEY(ID);
alter table adm_pessoa_relacionamento  ADD CONSTRAINT adm_pessoa_relacionamento_pkey PRIMARY KEY(ID);
alter table adm_pessoa_telefone  ADD CONSTRAINT adm_pessoa_telefone_pkey PRIMARY KEY(ID);
alter table process_transition  ADD CONSTRAINT process_transition_pkey PRIMARY KEY(ID);
alter table process_transition_ids  ADD CONSTRAINT process_transition_ids_pkey PRIMARY KEY(ID);
alter table associacao_categoria  ADD CONSTRAINT associacao_categoria_pkey PRIMARY KEY(ID);
alter table wiki_wiki_page_open  ADD CONSTRAINT wiki_wiki_page_open_pkey PRIMARY KEY(ID);
alter table publisher_warranty_contract  ADD CONSTRAINT publisher_warranty_contract_pkey PRIMARY KEY(ID);
alter table publisher_warranty_contract_wizard  ADD CONSTRAINT publisher_warranty_contract_wizard_pkey PRIMARY KEY(ID);
alter table process_process  ADD CONSTRAINT process_process_pkey PRIMARY KEY(ID);
alter table product_installer  ADD CONSTRAINT product_installer_pkey PRIMARY KEY(ID);
alter table rel_modules_langexport  ADD CONSTRAINT rel_modules_langexport_pkey PRIMARY KEY(ID);
alter table rel_server_actions  ADD CONSTRAINT rel_server_actions_pkey PRIMARY KEY(ID);
alter table res_currency_rate_type  ADD CONSTRAINT res_currency_rate_type_pkey PRIMARY KEY(ID);
alter table res_currency  ADD CONSTRAINT res_currency_pkey PRIMARY KEY(ID);
alter table res_country  ADD CONSTRAINT res_country_pkey PRIMARY KEY(ID);
alter table res_currency_rate  ADD CONSTRAINT res_currency_rate_pkey PRIMARY KEY(ID);
alter table res_company_users_rel  ADD CONSTRAINT res_company_users_rel_pkey PRIMARY KEY(ID);
alter table res_config  ADD CONSTRAINT res_config_pkey PRIMARY KEY(ID);
alter table res_config_installer  ADD CONSTRAINT res_config_installer_pkey PRIMARY KEY(ID);
alter table res_groups_action_rel  ADD CONSTRAINT res_groups_action_rel_pkey PRIMARY KEY(ID);
alter table res_groups_implied_rel  ADD CONSTRAINT res_groups_implied_rel_pkey PRIMARY KEY(ID);
alter table res_groups_report_rel  ADD CONSTRAINT res_groups_report_rel_pkey PRIMARY KEY(ID);
alter table res_groups_users_rel  ADD CONSTRAINT res_groups_users_rel_pkey PRIMARY KEY(ID);
alter table res_groups_wizard_rel  ADD CONSTRAINT res_groups_wizard_rel_pkey PRIMARY KEY(ID);
alter table res_partner_title  ADD CONSTRAINT res_partner_title_pkey PRIMARY KEY(ID);
alter table res_partner_bank_type  ADD CONSTRAINT res_partner_bank_type_pkey PRIMARY KEY(ID);
alter table res_partner_event  ADD CONSTRAINT res_partner_event_pkey PRIMARY KEY(ID);
alter table res_request_history  ADD CONSTRAINT res_request_history_pkey PRIMARY KEY(ID);
alter table res_partner_bank  ADD CONSTRAINT res_partner_bank_pkey PRIMARY KEY(ID);
alter table res_partner_bank_type_field  ADD CONSTRAINT res_partner_bank_type_field_pkey PRIMARY KEY(ID);
alter table res_payterm  ADD CONSTRAINT res_payterm_pkey PRIMARY KEY(ID);
alter table res_partner_category  ADD CONSTRAINT res_partner_category_pkey PRIMARY KEY(ID);
alter table res_request_link  ADD CONSTRAINT res_request_link_pkey PRIMARY KEY(ID);
alter table res_partner_category_rel  ADD CONSTRAINT res_partner_category_rel_pkey PRIMARY KEY(ID);
-- alter table res_request  ADD CONSTRAINT res_request_pkey PRIMARY KEY(ID);
alter table res_widget_wizard  ADD CONSTRAINT res_widget_wizard_pkey PRIMARY KEY(ID);
alter table rh_cargo  ADD CONSTRAINT rh_cargo_pkey PRIMARY KEY(ID);
alter table rule_group_rel  ADD CONSTRAINT rule_group_rel_pkey PRIMARY KEY(ID);
alter table associacao_socios  ADD CONSTRAINT associacao_socios_pkey PRIMARY KEY(ID);
alter table res_widget  ADD CONSTRAINT res_widget_pkey PRIMARY KEY(ID);
alter table res_widget_user  ADD CONSTRAINT res_widget_user_pkey PRIMARY KEY(ID);
alter table tesouraria_livro_caixa_movimentos  ADD CONSTRAINT tesouraria_livro_caixa_movimentos_pkey PRIMARY KEY(ID);
alter table financeiro_tesouraria_baixa_forma_pgto  ADD CONSTRAINT financeiro_tesouraria_baixa_forma_pgto_pkey PRIMARY KEY(ID);
alter table financeiro_tesouraria_movimento  ADD CONSTRAINT financeiro_tesouraria_movimento_pkey PRIMARY KEY(ID);
alter table wizard_wiki_history_show_diff  ADD CONSTRAINT wizard_wiki_history_show_diff_pkey PRIMARY KEY(ID);
alter table tesouraria_livro_caixa  ADD CONSTRAINT tesouraria_livro_caixa_pkey PRIMARY KEY(ID);
alter table user_preferences_config  ADD CONSTRAINT user_preferences_config_pkey PRIMARY KEY(ID);
alter table vendas_grupos_produto  ADD CONSTRAINT vendas_grupos_produto_pkey PRIMARY KEY(ID);
alter table financeiro_tesouraria_conciliacao_capa_osv  ADD CONSTRAINT financeiro_tesouraria_conciliacao_capa_osv_pkey PRIMARY KEY(ID);
alter table users_group_rel  ADD CONSTRAINT users_group_rel_pkey PRIMARY KEY(ID);
alter table wiki_groups  ADD CONSTRAINT wiki_groups_pkey PRIMARY KEY(ID);
alter table wiki_wiki  ADD CONSTRAINT wiki_wiki_pkey PRIMARY KEY(ID);
alter table wiki_wiki_history  ADD CONSTRAINT wiki_wiki_history_pkey PRIMARY KEY(ID);
alter table wizard_cancelar_nfe  ADD CONSTRAINT wizard_cancelar_nfe_pkey PRIMARY KEY(ID);
alter table software_gerencial_produtos  ADD CONSTRAINT software_gerencial_produtos_pkey PRIMARY KEY(ID);
alter table wkf  ADD CONSTRAINT wkf_pkey PRIMARY KEY(ID);
alter table wkf_witm_trans  ADD CONSTRAINT wkf_witm_trans_pkey PRIMARY KEY(ID);
alter table wizard_requisicao_cancelamento  ADD CONSTRAINT wizard_requisicao_cancelamento_pkey PRIMARY KEY(ID);
alter table wkf_logs  ADD CONSTRAINT wkf_logs_pkey PRIMARY KEY(ID);
alter table wkf_instance  ADD CONSTRAINT wkf_instance_pkey PRIMARY KEY(ID);
alter table wkf_triggers  ADD CONSTRAINT wkf_triggers_pkey PRIMARY KEY(ID);
alter table wkf_workitem  ADD CONSTRAINT wkf_workitem_pkey PRIMARY KEY(ID);
alter table software_gerencial_sms  ADD CONSTRAINT software_gerencial_sms_pkey PRIMARY KEY(ID);
alter table software_transporte  ADD CONSTRAINT software_transporte_pkey PRIMARY KEY(ID);
alter table ir_translation  ADD CONSTRAINT ir_translation_pkey PRIMARY KEY(ID);
alter table estoque_produto_embalagem  ADD CONSTRAINT estoque_produto_embalagem_pkey PRIMARY KEY(ID);
alter table estoque_estatisticas_mensal_itens_osv  ADD CONSTRAINT estoque_estatisticas_mensal_itens_osv_pkey PRIMARY KEY(ID);
alter table patrimonio_custos_complementares  ADD CONSTRAINT patrimonio_custos_complementares_pkey PRIMARY KEY(ID);
alter table financeiro_fornecedor  ADD CONSTRAINT financeiro_fornecedor_pkey PRIMARY KEY(ID);
alter table wizard_almoxarifado_entrega  ADD CONSTRAINT wizard_almoxarifado_entrega_pkey PRIMARY KEY(ID);
alter table wizard_inutilizar_faixa_nfe  ADD CONSTRAINT wizard_inutilizar_faixa_nfe_pkey PRIMARY KEY(ID);
alter table crm_br_case_rule  ADD CONSTRAINT crm_br_case_rule_pkey PRIMARY KEY(ID);
alter table crm_br_som  ADD CONSTRAINT crm_br_som_pkey PRIMARY KEY(ID);
alter table documento_documento_tipo  ADD CONSTRAINT documento_documento_tipo_pkey PRIMARY KEY(ID);
alter table fiscal_import_nfe_parcelas  ADD CONSTRAINT fiscal_import_nfe_parcelas_pkey PRIMARY KEY(ID);
alter table crm_br_case_stage_rel  ADD CONSTRAINT crm_br_case_stage_rel_pkey PRIMARY KEY(ID);
alter table crm_br_users_group_rel  ADD CONSTRAINT crm_br_users_group_rel_pkey PRIMARY KEY(ID);
alter table crm_br_canal  ADD CONSTRAINT crm_br_canal_pkey PRIMARY KEY(ID);
alter table crm_br_event_type  ADD CONSTRAINT crm_br_event_type_pkey PRIMARY KEY(ID);
alter table crm_br_segmentation  ADD CONSTRAINT crm_br_segmentation_pkey PRIMARY KEY(ID);
alter table crm_br_help_desk  ADD CONSTRAINT crm_br_help_desk_pkey PRIMARY KEY(ID);
alter table wiz_apuracao_ncm  ADD CONSTRAINT wiz_apuracao_ncm_pkey PRIMARY KEY(ID);
alter table crm_br_case_log  ADD CONSTRAINT crm_br_case_log_pkey PRIMARY KEY(ID);
alter table crm_br_segmentation_line  ADD CONSTRAINT crm_br_segmentation_line_pkey PRIMARY KEY(ID);
alter table contabil_historico_padrao  ADD CONSTRAINT contabil_historico_padrao_pkey PRIMARY KEY(ID);
alter table software_central_oportunidade  ADD CONSTRAINT software_central_oportunidade_pkey PRIMARY KEY(ID);
alter table contabil_lancamentos  ADD CONSTRAINT contabil_lancamentos_pkey PRIMARY KEY(ID);
alter table patrimonio_bens_historico_local  ADD CONSTRAINT patrimonio_bens_historico_local_pkey PRIMARY KEY(ID);
alter table registro_entrada_osv  ADD CONSTRAINT registro_entrada_osv_pkey PRIMARY KEY(ID);
alter table contabil_documentos  ADD CONSTRAINT contabil_documentos_pkey PRIMARY KEY(ID);
alter table contabil_saldos  ADD CONSTRAINT contabil_saldos_pkey PRIMARY KEY(ID);
alter table patrimonio_localizacao  ADD CONSTRAINT patrimonio_localizacao_pkey PRIMARY KEY(ID);
alter table patrimonio_tipo_custos_complementares  ADD CONSTRAINT patrimonio_tipo_custos_complementares_pkey PRIMARY KEY(ID);
alter table patrimonio_bens  ADD CONSTRAINT patrimonio_bens_pkey PRIMARY KEY(ID);
alter table patrimonio_grupos  ADD CONSTRAINT patrimonio_grupos_pkey PRIMARY KEY(ID);
alter table tarefas_tarefas  ADD CONSTRAINT tarefas_tarefas_pkey PRIMARY KEY(ID);
alter table patrimonio_manutencoes  ADD CONSTRAINT patrimonio_manutencoes_pkey PRIMARY KEY(ID);
alter table audittrail_view_log  ADD CONSTRAINT audittrail_view_log_pkey PRIMARY KEY(ID);
alter table patrimonio_movimento  ADD CONSTRAINT patrimonio_movimento_pkey PRIMARY KEY(ID);
alter table patrimoniofiscal_ciap_controle  ADD CONSTRAINT patrimoniofiscal_ciap_controle_pkey PRIMARY KEY(ID);
alter table patrimonio_sped  ADD CONSTRAINT patrimonio_sped_pkey PRIMARY KEY(ID);
alter table patrimonio_calcular  ADD CONSTRAINT patrimonio_calcular_pkey PRIMARY KEY(ID);
alter table adm_parametro  ADD CONSTRAINT adm_parametro_pkey PRIMARY KEY(ID);
alter table document_br_directory_content_type  ADD CONSTRAINT document_br_directory_content_type_pkey PRIMARY KEY(ID);
alter table teste  ADD CONSTRAINT teste_pkey PRIMARY KEY(ID);
alter table audittail_rules_users  ADD CONSTRAINT audittail_rules_users_pkey PRIMARY KEY(ID);
alter table audittrail_log  ADD CONSTRAINT audittrail_log_pkey PRIMARY KEY(ID);
alter table audittrail_rule  ADD CONSTRAINT audittrail_rule_pkey PRIMARY KEY(ID);
alter table software_parametros  ADD CONSTRAINT software_parametros_pkey PRIMARY KEY(ID);
alter table audittrail_log_line  ADD CONSTRAINT audittrail_log_line_pkey PRIMARY KEY(ID);
alter table software_origem  ADD CONSTRAINT software_origem_pkey PRIMARY KEY(ID);
alter table compras_cotacoes_capa  ADD CONSTRAINT compras_cotacoes_capa_pkey PRIMARY KEY(ID);
alter table document_br_configuration_wizard  ADD CONSTRAINT document_br_configuration_wizard_pkey PRIMARY KEY(ID);
alter table res_groups  ADD CONSTRAINT res_groups_pkey PRIMARY KEY(ID);
alter table document_br_directory_content  ADD CONSTRAINT document_br_directory_content_pkey PRIMARY KEY(ID);
alter table document_br_directory_group_rel  ADD CONSTRAINT document_br_directory_group_rel_pkey PRIMARY KEY(ID);
alter table software_pesquisador  ADD CONSTRAINT software_pesquisador_pkey PRIMARY KEY(ID);
alter table document_br_directory  ADD CONSTRAINT document_br_directory_pkey PRIMARY KEY(ID);
alter table wizard_serie_lancadas  ADD CONSTRAINT wizard_serie_lancadas_pkey PRIMARY KEY(ID);
alter table wizard_serie_cadastro  ADD CONSTRAINT wizard_serie_cadastro_pkey PRIMARY KEY(ID);
alter table ir_model  ADD CONSTRAINT ir_model_pkey PRIMARY KEY(ID);
alter table estoqueserie_produto  ADD CONSTRAINT estoqueserie_produto_pkey PRIMARY KEY(ID);
alter table software_contratos_produtos  ADD CONSTRAINT software_contratos_produtos_pkey PRIMARY KEY(ID);
alter table estoqueserie_movimento  ADD CONSTRAINT estoqueserie_movimento_pkey PRIMARY KEY(ID);
alter table estoque_param_condicoes  ADD CONSTRAINT estoque_param_condicoes_pkey PRIMARY KEY(ID);
alter table rh_parametro  ADD CONSTRAINT rh_parametro_pkey PRIMARY KEY(ID);
alter table balanca_exportar_cadastro_osv  ADD CONSTRAINT balanca_exportar_cadastro_osv_pkey PRIMARY KEY(ID);
alter table asfipo_imprimir_oficio  ADD CONSTRAINT asfipo_imprimir_oficio_pkey PRIMARY KEY(ID);
alter table apuracao_imposto_deducoes  ADD CONSTRAINT apuracao_imposto_deducoes_pkey PRIMARY KEY(ID);
alter table financeiro_cheque_devolucao  ADD CONSTRAINT financeiro_cheque_devolucao_pkey PRIMARY KEY(ID);
alter table base_module_update  ADD CONSTRAINT base_module_update_pkey PRIMARY KEY(ID);
alter table vendas_rotas  ADD CONSTRAINT vendas_rotas_pkey PRIMARY KEY(ID);
alter table apuracao_imposto_estorno_creditos  ADD CONSTRAINT apuracao_imposto_estorno_creditos_pkey PRIMARY KEY(ID);
alter table adm_condicao  ADD CONSTRAINT adm_condicao_pkey PRIMARY KEY(ID);
alter table ir_act_window  ADD CONSTRAINT ir_act_window_pkey PRIMARY KEY(ID);
alter table contratos_contrato  ADD CONSTRAINT contratos_contrato_pkey PRIMARY KEY(ID);
alter table estoque_fornecedor  ADD CONSTRAINT estoque_fornecedor_pkey PRIMARY KEY(ID);
alter table base_report_creator_group_rel  ADD CONSTRAINT base_report_creator_group_rel_pkey PRIMARY KEY(ID);
alter table crm_br_case_categ  ADD CONSTRAINT crm_br_case_categ_pkey PRIMARY KEY(ID);
alter table fiscal_tributacao  ADD CONSTRAINT fiscal_tributacao_pkey PRIMARY KEY(ID);
alter table base_report_creator_report_fields  ADD CONSTRAINT base_report_creator_report_fields_pkey PRIMARY KEY(ID);
alter table compras_solicitacao_item  ADD CONSTRAINT compras_solicitacao_item_pkey PRIMARY KEY(ID);
alter table automacao_precos  ADD CONSTRAINT automacao_precos_pkey PRIMARY KEY(ID);
alter table adm_condicao_forma  ADD CONSTRAINT adm_condicao_forma_pkey PRIMARY KEY(ID);
alter table estoquealmoxarifado_requisicao_item  ADD CONSTRAINT estoquealmoxarifado_requisicao_item_pkey PRIMARY KEY(ID);
alter table compras_solicitacao_historico  ADD CONSTRAINT compras_solicitacao_historico_pkey PRIMARY KEY(ID);
alter table compras_solicitacao_capa  ADD CONSTRAINT compras_solicitacao_capa_pkey PRIMARY KEY(ID);
alter table base_module_import  ADD CONSTRAINT base_module_import_pkey PRIMARY KEY(ID);
alter table clientes_mensagem  ADD CONSTRAINT clientes_mensagem_pkey PRIMARY KEY(ID);
alter table contratos_fornecedor_capa  ADD CONSTRAINT contratos_fornecedor_capa_pkey PRIMARY KEY(ID);
alter table contabil_conta  ADD CONSTRAINT contabil_conta_pkey PRIMARY KEY(ID);
alter table ecf_ecf  ADD CONSTRAINT ecf_ecf_pkey PRIMARY KEY(ID);
alter table crm_br_event  ADD CONSTRAINT crm_br_event_pkey PRIMARY KEY(ID);
alter table kit_itens  ADD CONSTRAINT kit_itens_pkey PRIMARY KEY(ID);
alter table crm_br_case_history  ADD CONSTRAINT crm_br_case_history_pkey PRIMARY KEY(ID);
alter table contratos_fornecedor_itens  ADD CONSTRAINT contratos_fornecedor_itens_pkey PRIMARY KEY(ID);
alter table estoquepedidos_pedido_condicao  ADD CONSTRAINT estoquepedidos_pedido_condicao_pkey PRIMARY KEY(ID);
alter table concorrencia_concorrente_item  ADD CONSTRAINT concorrencia_concorrente_item_pkey PRIMARY KEY(ID);
alter table ecf_mapa_resumo_itens  ADD CONSTRAINT ecf_mapa_resumo_itens_pkey PRIMARY KEY(ID);
alter table estoquecorrecao_produto_cliente  ADD CONSTRAINT estoquecorrecao_produto_cliente_pkey PRIMARY KEY(ID);
alter table ecf_tesouraria_movimento  ADD CONSTRAINT ecf_tesouraria_movimento_pkey PRIMARY KEY(ID);
alter table adm_moeda  ADD CONSTRAINT adm_moeda_pkey PRIMARY KEY(ID);
alter table fiscal_deducoes_itens  ADD CONSTRAINT fiscal_deducoes_itens_pkey PRIMARY KEY(ID);
alter table oservico_os_condicao  ADD CONSTRAINT oservico_os_condicao_pkey PRIMARY KEY(ID);
alter table ir_module_module  ADD CONSTRAINT ir_module_module_pkey PRIMARY KEY(ID);
alter table gerencial_movimento  ADD CONSTRAINT gerencial_movimento_pkey PRIMARY KEY(ID);
alter table ir_exports_line  ADD CONSTRAINT ir_exports_line_pkey PRIMARY KEY(ID);
alter table marcacao_importar_osv  ADD CONSTRAINT marcacao_importar_osv_pkey PRIMARY KEY(ID);
alter table fiscal_tributacao_entrada_encargos  ADD CONSTRAINT fiscal_tributacao_entrada_encargos_pkey PRIMARY KEY(ID);
alter table kit_categoria  ADD CONSTRAINT kit_categoria_pkey PRIMARY KEY(ID);
alter table financeiro_titulo_historico  ADD CONSTRAINT financeiro_titulo_historico_pkey PRIMARY KEY(ID);
alter table ir_module_category  ADD CONSTRAINT ir_module_category_pkey PRIMARY KEY(ID);
alter table ir_actions_todo  ADD CONSTRAINT ir_actions_todo_pkey PRIMARY KEY(ID);
alter table rh_marcacao  ADD CONSTRAINT rh_marcacao_pkey PRIMARY KEY(ID);
alter table rh_justificativa  ADD CONSTRAINT rh_justificativa_pkey PRIMARY KEY(ID);
alter table banco_horas_atualizar_osv  ADD CONSTRAINT banco_horas_atualizar_osv_pkey PRIMARY KEY(ID);
alter table ir_act_server  ADD CONSTRAINT ir_act_server_pkey PRIMARY KEY(ID);
alter table rh_banco_horas  ADD CONSTRAINT rh_banco_horas_pkey PRIMARY KEY(ID);
alter table rh_periodo  ADD CONSTRAINT rh_periodo_pkey PRIMARY KEY(ID);
alter table rh_afastamento  ADD CONSTRAINT rh_afastamento_pkey PRIMARY KEY(ID);
alter table asfipo_encaminhamento_grupos  ADD CONSTRAINT asfipo_encaminhamento_grupos_pkey PRIMARY KEY(ID);
alter table asfipo_cadastro_processos  ADD CONSTRAINT asfipo_cadastro_processos_pkey PRIMARY KEY(ID);
alter table asfipo_cadastro_instituicoes  ADD CONSTRAINT asfipo_cadastro_instituicoes_pkey PRIMARY KEY(ID);
alter table rh_expediente  ADD CONSTRAINT rh_expediente_pkey PRIMARY KEY(ID);
alter table rh_jornada  ADD CONSTRAINT rh_jornada_pkey PRIMARY KEY(ID);
alter table asfipo_dependencias  ADD CONSTRAINT asfipo_dependencias_pkey PRIMARY KEY(ID);
alter table asfipo_cadastro_dependencias  ADD CONSTRAINT asfipo_cadastro_dependencias_pkey PRIMARY KEY(ID);
alter table asfipo_cadastro  ADD CONSTRAINT asfipo_cadastro_pkey PRIMARY KEY(ID);
alter table asfipo_especialidades  ADD CONSTRAINT asfipo_especialidades_pkey PRIMARY KEY(ID);
alter table asfipo_encaminhamento_especialistas  ADD CONSTRAINT asfipo_encaminhamento_especialistas_pkey PRIMARY KEY(ID);
alter table fiscal_encargo_empresa  ADD CONSTRAINT fiscal_encargo_empresa_pkey PRIMARY KEY(ID);
alter table orcamentos_orcamento_capa  ADD CONSTRAINT orcamentos_orcamento_capa_pkey PRIMARY KEY(ID);
alter table estoqueressuprimento_requisicao_capa  ADD CONSTRAINT estoqueressuprimento_requisicao_capa_pkey PRIMARY KEY(ID);
alter table wizard_kit_categoria_itens  ADD CONSTRAINT wizard_kit_categoria_itens_pkey PRIMARY KEY(ID);
alter table participacao_clientes_fornecedores_osv  ADD CONSTRAINT participacao_clientes_fornecedores_osv_pkey PRIMARY KEY(ID);
alter table adm_forma_pgto  ADD CONSTRAINT adm_forma_pgto_pkey PRIMARY KEY(ID);
alter table software_tabela_produtos  ADD CONSTRAINT software_tabela_produtos_pkey PRIMARY KEY(ID);
alter table software_tabela_servicos  ADD CONSTRAINT software_tabela_servicos_pkey PRIMARY KEY(ID);
alter table asfipo_ocorrencias  ADD CONSTRAINT asfipo_ocorrencias_pkey PRIMARY KEY(ID);
alter table software_seguimento  ADD CONSTRAINT software_seguimento_pkey PRIMARY KEY(ID);
alter table baixa_titulos  ADD CONSTRAINT baixa_titulos_pkey PRIMARY KEY(ID);
alter table fiscal_exibe_questao_icms_substituicao  ADD CONSTRAINT fiscal_exibe_questao_icms_substituicao_pkey PRIMARY KEY(ID);
alter table contrecf_modelosecfs  ADD CONSTRAINT contrecf_modelosecfs_pkey PRIMARY KEY(ID);
alter table oservico_os_parcela  ADD CONSTRAINT oservico_os_parcela_pkey PRIMARY KEY(ID);
alter table crm_br_menu_config_wizard  ADD CONSTRAINT crm_br_menu_config_wizard_pkey PRIMARY KEY(ID);
alter table contrecf_vendas  ADD CONSTRAINT contrecf_vendas_pkey PRIMARY KEY(ID);
alter table contrecf_validacao  ADD CONSTRAINT contrecf_validacao_pkey PRIMARY KEY(ID);
alter table crm_br_case_pipeline  ADD CONSTRAINT crm_br_case_pipeline_pkey PRIMARY KEY(ID);
alter table titulos_liquidados_osv  ADD CONSTRAINT titulos_liquidados_osv_pkey PRIMARY KEY(ID);
alter table contrecf_parceiros  ADD CONSTRAINT contrecf_parceiros_pkey PRIMARY KEY(ID);
alter table financeiro_tesouraria_contas  ADD CONSTRAINT financeiro_tesouraria_contas_pkey PRIMARY KEY(ID);
alter table listagem_cheques_devolvidos_osv  ADD CONSTRAINT listagem_cheques_devolvidos_osv_pkey PRIMARY KEY(ID);
alter table contrecf_fabricante  ADD CONSTRAINT contrecf_fabricante_pkey PRIMARY KEY(ID);
alter table relatorio_movimento_osv  ADD CONSTRAINT relatorio_movimento_osv_pkey PRIMARY KEY(ID);
alter table financeiro_parametros  ADD CONSTRAINT financeiro_parametros_pkey PRIMARY KEY(ID);
alter table osv_memory_posicao_financeira_movimentos  ADD CONSTRAINT osv_memory_posicao_financeira_movimentos_pkey PRIMARY KEY(ID);
alter table contrecf_versao  ADD CONSTRAINT contrecf_versao_pkey PRIMARY KEY(ID);
alter table crm_br_case_tickets  ADD CONSTRAINT crm_br_case_tickets_pkey PRIMARY KEY(ID);
alter table contrecf_usuarios  ADD CONSTRAINT contrecf_usuarios_pkey PRIMARY KEY(ID);
alter table contrecf_nroseriesecfs  ADD CONSTRAINT contrecf_nroseriesecfs_pkey PRIMARY KEY(ID);
alter table save_report  ADD CONSTRAINT save_report_pkey PRIMARY KEY(ID);
alter table quality_check  ADD CONSTRAINT quality_check_pkey PRIMARY KEY(ID);
alter table module_quality_check  ADD CONSTRAINT module_quality_check_pkey PRIMARY KEY(ID);
alter table module_quality_detail  ADD CONSTRAINT module_quality_detail_pkey PRIMARY KEY(ID);
alter table gerencial_pre_classificacao_baixa  ADD CONSTRAINT gerencial_pre_classificacao_baixa_pkey PRIMARY KEY(ID);
alter table estoquepedidos_pedido_capa  ADD CONSTRAINT estoquepedidos_pedido_capa_pkey PRIMARY KEY(ID);
alter table financeiro_titulo  ADD CONSTRAINT financeiro_titulo_pkey PRIMARY KEY(ID);
alter table wizard_listagem_categoria  ADD CONSTRAINT wizard_listagem_categoria_pkey PRIMARY KEY(ID);
alter table wizard_movimentacao_diaria_capa  ADD CONSTRAINT wizard_movimentacao_diaria_capa_pkey PRIMARY KEY(ID);
alter table listagem_requisicoes_pendentes  ADD CONSTRAINT listagem_requisicoes_pendentes_pkey PRIMARY KEY(ID);
alter table wizard_apuracao_icms  ADD CONSTRAINT wizard_apuracao_icms_pkey PRIMARY KEY(ID);
alter table fiscal_import_nfe_encargos_osv  ADD CONSTRAINT fiscal_import_nfe_encargos_osv_pkey PRIMARY KEY(ID);
alter table wizard_apuracao_ipi  ADD CONSTRAINT wizard_apuracao_ipi_pkey PRIMARY KEY(ID);
alter table fiscal_cfop_natureza  ADD CONSTRAINT fiscal_cfop_natureza_pkey PRIMARY KEY(ID);
alter table estoque_local  ADD CONSTRAINT estoque_local_pkey PRIMARY KEY(ID);
alter table apurar_pis_cofins_osv  ADD CONSTRAINT apurar_pis_cofins_osv_pkey PRIMARY KEY(ID);
alter table financeiro_local_cobranca  ADD CONSTRAINT financeiro_local_cobranca_pkey PRIMARY KEY(ID);
alter table decimal_precision  ADD CONSTRAINT decimal_precision_pkey PRIMARY KEY(ID);
alter table estoquepedidos_pedido_item  ADD CONSTRAINT estoquepedidos_pedido_item_pkey PRIMARY KEY(ID);
alter table crm_br_case_atendimentos_capa  ADD CONSTRAINT crm_br_case_atendimentos_capa_pkey PRIMARY KEY(ID);
alter table vendas_liberar_desconto  ADD CONSTRAINT vendas_liberar_desconto_pkey PRIMARY KEY(ID);
alter table crm_br_case_category2  ADD CONSTRAINT crm_br_case_category2_pkey PRIMARY KEY(ID);
alter table fiscal_cst  ADD CONSTRAINT fiscal_cst_pkey PRIMARY KEY(ID);
alter table listagem_ressuprimento_osv  ADD CONSTRAINT listagem_ressuprimento_osv_pkey PRIMARY KEY(ID);
alter table make_opportunity  ADD CONSTRAINT make_opportunity_pkey PRIMARY KEY(ID);
alter table relatorio_disponibilidade_osv  ADD CONSTRAINT relatorio_disponibilidade_osv_pkey PRIMARY KEY(ID);
alter table estoque_movimento_itens  ADD CONSTRAINT estoque_movimento_itens_pkey PRIMARY KEY(ID);
alter table fiscal_exibe_questao_osv  ADD CONSTRAINT fiscal_exibe_questao_pkey PRIMARY KEY(ID);
alter table crm_br_case_stage  ADD CONSTRAINT crm_br_case_stage_pkey PRIMARY KEY(ID);
alter table crm_br_case  ADD CONSTRAINT crm_br_case_pkey PRIMARY KEY(ID);
alter table adm_banco_agencia  ADD CONSTRAINT adm_banco_agencia_pkey PRIMARY KEY(ID);
alter table crm_br_case_pipeline_detalhe  ADD CONSTRAINT crm_br_case_pipeline_detalhe_pkey PRIMARY KEY(ID);
alter table veiculos_motorista  ADD CONSTRAINT veiculos_motorista_pkey PRIMARY KEY(ID);
alter table wizard_compras_itens_solicitacao  ADD CONSTRAINT wizard_compras_itens_solicitacao_pkey PRIMARY KEY(ID);
alter table veiculos_despesa_tipo  ADD CONSTRAINT veiculos_despesa_tipo_pkey PRIMARY KEY(ID);
alter table veiculos_marca  ADD CONSTRAINT veiculos_marca_pkey PRIMARY KEY(ID);
alter table smile_log  ADD CONSTRAINT smile_log_pkey PRIMARY KEY(ID);
alter table adm_pessoa_categoria_nome  ADD CONSTRAINT adm_pessoa_categoria_nome_pkey PRIMARY KEY(ID);
alter table estoque_parametro  ADD CONSTRAINT estoque_parametro_pkey PRIMARY KEY(ID);
alter table fiscal_nf_capa  ADD CONSTRAINT fiscal_nf_capa_pkey PRIMARY KEY(ID);
alter table oservico_mecanico  ADD CONSTRAINT oservico_mecanico_pkey PRIMARY KEY(ID);
alter table veiculos_uso  ADD CONSTRAINT veiculos_uso_pkey PRIMARY KEY(ID);
alter table veiculos_modelo  ADD CONSTRAINT veiculos_modelo_pkey PRIMARY KEY(ID);
alter table gerencial_evento  ADD CONSTRAINT gerencial_evento_pkey PRIMARY KEY(ID);
alter table adm_cidade  ADD CONSTRAINT adm_cidade_pkey PRIMARY KEY(ID);
alter table fislre_liberar_restricoes  ADD CONSTRAINT fislre_liberar_restricoes_pkey PRIMARY KEY(ID);
alter table oservico_servicos  ADD CONSTRAINT oservico_servicos_pkey PRIMARY KEY(ID);
alter table oservico_requisicao_itens  ADD CONSTRAINT oservico_requisicao_itens_pkey PRIMARY KEY(ID);
alter table estoque_natureza_operacao  ADD CONSTRAINT estoque_natureza_operacao_pkey PRIMARY KEY(ID);
alter table ecf_exportar_osv  ADD CONSTRAINT ecf_exportar_osv_pkey PRIMARY KEY(ID);
alter table ir_ui_menu  ADD CONSTRAINT ir_ui_menu_pkey PRIMARY KEY(ID);
alter table oservico_os  ADD CONSTRAINT oservico_os_pkey PRIMARY KEY(ID);
alter table estoque_embalagem  ADD CONSTRAINT estoque_embalagem_pkey PRIMARY KEY(ID);
alter table os_mecanico  ADD CONSTRAINT os_mecanico_pkey PRIMARY KEY(ID);
alter table os_os  ADD CONSTRAINT os_os_pkey PRIMARY KEY(ID);
alter table veiculos_veiculo  ADD CONSTRAINT veiculos_veiculo_pkey PRIMARY KEY(ID);
alter table listagem_fornecedores_osv  ADD CONSTRAINT listagem_fornecedores_osv_pkey PRIMARY KEY(ID);
alter table listagem_cheques_receber_osv  ADD CONSTRAINT listagem_cheques_receber_osv_pkey PRIMARY KEY(ID);
alter table adm_transacao_capa  ADD CONSTRAINT adm_transacao_capa_pkey PRIMARY KEY(ID);
alter table os_servicos  ADD CONSTRAINT os_servicos_pkey PRIMARY KEY(ID);
alter table wizard_financeiro_movimento_titulo  ADD CONSTRAINT wizard_financeiro_movimento_titulo_pkey PRIMARY KEY(ID);
alter table adm_banco  ADD CONSTRAINT adm_banco_pkey PRIMARY KEY(ID);
alter table os_requisicao_capa  ADD CONSTRAINT os_requisicao_capa_pkey PRIMARY KEY(ID);
alter table osv_memory_posicao_financeira_capa  ADD CONSTRAINT osv_memory_posicao_financeira_capa_pkey PRIMARY KEY(ID);
alter table adm_pais  ADD CONSTRAINT adm_pais_pkey PRIMARY KEY(ID);
alter table osv_memory_posicao_financeira_corpos  ADD CONSTRAINT osv_memory_posicao_financeira_corpos_pkey PRIMARY KEY(ID);
alter table wizard_movimentacao_diaria_movimento  ADD CONSTRAINT wizard_movimentacao_diaria_movimento_pkey PRIMARY KEY(ID);
alter table extrato_bancario_osv  ADD CONSTRAINT extrato_bancario_osv_pkey PRIMARY KEY(ID);
alter table listagem_precos_alterados_osv  ADD CONSTRAINT listagem_precos_alterados_osv_pkey PRIMARY KEY(ID);
alter table estoquealmoxarifado_requisicao_capa  ADD CONSTRAINT estoquealmoxarifado_requisicao_capa_pkey PRIMARY KEY(ID);
alter table wizard_alterar_preco_venda_estoquepedidos  ADD CONSTRAINT wizard_alterar_preco_venda_estoquepedidos_pkey PRIMARY KEY(ID);
alter table adm_transacao_itens  ADD CONSTRAINT adm_transacao_itens_pkey PRIMARY KEY(ID);
alter table os_requisicao_itens  ADD CONSTRAINT os_requisicao_itens_pkey PRIMARY KEY(ID);
alter table adm_bairro  ADD CONSTRAINT adm_bairro_pkey PRIMARY KEY(ID);
alter table asfipo_oficio  ADD CONSTRAINT asfipo_oficio_pkey PRIMARY KEY(ID);
alter table base_report_rml_save  ADD CONSTRAINT base_report_rml_save_pkey PRIMARY KEY(ID);
alter table base_report_designer_installer  ADD CONSTRAINT base_report_designer_installer_pkey PRIMARY KEY(ID);
alter table vendas_apuracao_comissao_osv  ADD CONSTRAINT vendas_apuracao_comissao_osv_pkey PRIMARY KEY(ID);
alter table wizard_financeiro_movimento_historico  ADD CONSTRAINT wizard_financeiro_movimento_historico_pkey PRIMARY KEY(ID);
alter table wizard_fluxocaixa_sintetico_osv  ADD CONSTRAINT wizard_fluxocaixa_sintetico_osv_pkey PRIMARY KEY(ID);
alter table margem_contribuicao  ADD CONSTRAINT margem_contribuicao_pkey PRIMARY KEY(ID);
alter table adm_empresa_centrocusto  ADD CONSTRAINT adm_empresa_centrocusto_pkey PRIMARY KEY(ID);
alter table listagem_clientes_osv  ADD CONSTRAINT listagem_clientes_osv_pkey PRIMARY KEY(ID);
alter table mercado_pulgas_tipo_produto  ADD CONSTRAINT mercado_pulgas_tipo_produto_pkey PRIMARY KEY(ID);
alter table adm_uf  ADD CONSTRAINT adm_uf_pkey PRIMARY KEY(ID);
alter table wizard_gerencial_sintetico  ADD CONSTRAINT wizard_gerencial_sintetico_pkey PRIMARY KEY(ID);
alter table consulta_gerencial_movimento_osv  ADD CONSTRAINT consulta_gerencial_movimento_osv_pkey PRIMARY KEY(ID);
alter table resumo_importacao_osv  ADD CONSTRAINT resumo_importacao_osv_pkey PRIMARY KEY(ID);
alter table mercado_pulgas_anuncio  ADD CONSTRAINT mercado_pulgas_anuncio_pkey PRIMARY KEY(ID);
alter table digitacao_inventario_capa_osv  ADD CONSTRAINT digitacao_inventario_capa_osv_pkey PRIMARY KEY(ID);
alter table mercado_pulgas_endereco  ADD CONSTRAINT mercado_pulgas_endereco_pkey PRIMARY KEY(ID);
alter table mercado_pulgas_leilao  ADD CONSTRAINT mercado_pulgas_leilao_pkey PRIMARY KEY(ID);
alter table ir_ui_view  ADD CONSTRAINT ir_ui_view_pkey PRIMARY KEY(ID);
alter table res_users  ADD CONSTRAINT res_users_pkey PRIMARY KEY(ID);
alter table transacao_capa_wizard  ADD CONSTRAINT transacao_capa_wizard_pkey PRIMARY KEY(ID);
alter table resumo_ecf_osv  ADD CONSTRAINT resumo_ecf_osv_pkey PRIMARY KEY(ID);
alter table oservico_requisicao_capa  ADD CONSTRAINT oservico_requisicao_capa_pkey PRIMARY KEY(ID);
alter table wizard_ir_model_menu_create_line  ADD CONSTRAINT wizard_ir_model_menu_create_line_pkey PRIMARY KEY(ID);
alter table transacao_itens_wizard  ADD CONSTRAINT transacao_itens_wizard_pkey PRIMARY KEY(ID);
alter table titulos_abertos_osv  ADD CONSTRAINT titulos_abertos_osv_pkey PRIMARY KEY(ID);
alter table fiscal_encargo  ADD CONSTRAINT fiscal_encargo_pkey PRIMARY KEY(ID);
alter table base_report_sxw  ADD CONSTRAINT base_report_sxw_pkey PRIMARY KEY(ID);
alter table res_company  ADD CONSTRAINT res_company_pkey PRIMARY KEY(ID);
alter table ecf_importar_cupom_osv  ADD CONSTRAINT ecf_importar_cupom_osv_pkey PRIMARY KEY(ID);
alter table ir_act_report_xml  ADD CONSTRAINT ir_act_report_xml_pkey PRIMARY KEY(ID);
alter table wizard_conferencia  ADD CONSTRAINT wizard_conferencia_pkey PRIMARY KEY(ID);
alter table vendas_apuracao_comissao_recebimento_osv  ADD CONSTRAINT vendas_apuracao_comissao_recebimento_osv_pkey PRIMARY KEY(ID);
alter table mercado_pulgas_pessoa  ADD CONSTRAINT mercado_pulgas_pessoa_pkey PRIMARY KEY(ID);
alter table ir_model_fields  ADD CONSTRAINT ir_model_fields_pkey PRIMARY KEY(ID);
alter table ir_attachment  ADD CONSTRAINT ir_attachment_pkey PRIMARY KEY(ID);
alter table ir_rule  ADD CONSTRAINT ir_rule_pkey PRIMARY KEY(ID);
alter table wizard_ir_model_menu_create  ADD CONSTRAINT wizard_ir_model_menu_create_pkey PRIMARY KEY(ID);
alter table wizard_ressuprimento_automatico_osv  ADD CONSTRAINT wizard_ressuprimento_automatico_osv_pkey PRIMARY KEY(ID);
alter table wizard_estoque_local_saldo  ADD CONSTRAINT wizard_estoque_local_saldo_pkey PRIMARY KEY(ID);
alter table base_report_file_sxw  ADD CONSTRAINT base_report_file_sxw_pkey PRIMARY KEY(ID);
alter table board_menu_create  ADD CONSTRAINT board_menu_create_pkey PRIMARY KEY(ID);
alter table report_menu_create  ADD CONSTRAINT report_menu_create_pkey PRIMARY KEY(ID);
alter table wiki_create_menu  ADD CONSTRAINT wiki_create_menu_pkey PRIMARY KEY(ID);
alter table crm_br_case_section  ADD CONSTRAINT crm_br_case_section_pkey PRIMARY KEY(ID);
alter table estoque_estatisticas_mensal_osv  ADD CONSTRAINT estoque_estatisticas_mensal_osv_pkey PRIMARY KEY(ID);
alter table financeiro_tesouraria_saldos  ADD CONSTRAINT financeiro_tesouraria_saldos_pkey PRIMARY KEY(ID);
alter table vendas_vendedor  ADD CONSTRAINT vendas_vendedor_pkey PRIMARY KEY(ID);
alter table estoque_inventario_capa  ADD CONSTRAINT estoque_inventario_capa_pkey PRIMARY KEY(ID);
alter table wizard_alterar_preco_venda  ADD CONSTRAINT wizard_alterar_preco_venda_pkey PRIMARY KEY(ID);
alter table inventario_listagem_diferenca_osv  ADD CONSTRAINT inventario_listagem_diferenca_osv_pkey PRIMARY KEY(ID);
alter table wizard_fluxocaixa_analitico_osv  ADD CONSTRAINT wizard_fluxocaixa_analitico_osv_pkey PRIMARY KEY(ID);
alter table fechamento_ecf_osv  ADD CONSTRAINT fechamento_ecf_osv_pkey PRIMARY KEY(ID);
alter table wizard_listagem_prod_grade  ADD CONSTRAINT wizard_listagem_prod_grade_pkey PRIMARY KEY(ID);
alter table digitacao_inventario_osv  ADD CONSTRAINT digitacao_inventario_osv_pkey PRIMARY KEY(ID);
alter table wizard_nova_digitacao  ADD CONSTRAINT wizard_nova_digitacao_pkey PRIMARY KEY(ID);
alter table wizard_consulta_saldos  ADD CONSTRAINT wizard_consulta_saldos_pkey PRIMARY KEY(ID);
alter table adm_transportador  ADD CONSTRAINT adm_transportador_pkey PRIMARY KEY(ID);
alter table base_setup_terminology  ADD CONSTRAINT base_setup_terminology_pkey PRIMARY KEY(ID);
alter table process_condition  ADD CONSTRAINT process_condition_pkey PRIMARY KEY(ID);
alter table ecf_tesouraria_capa  ADD CONSTRAINT ecf_tesouraria_capa_pkey PRIMARY KEY(ID);
alter table estoque_inventario_oficial  ADD CONSTRAINT estoque_inventario_oficial_pkey PRIMARY KEY(ID);
alter table wizard_consulta_movimento_capa  ADD CONSTRAINT wizard_consulta_movimento_capa_pkey PRIMARY KEY(ID);
alter table estoqueressuprimento_requisicao_itens  ADD CONSTRAINT estoqueressuprimento_requisicao_itens_pkey PRIMARY KEY(ID);
alter table fiscal_deducoes  ADD CONSTRAINT fiscal_deducoes_pkey PRIMARY KEY(ID);
alter table fiscal_produto_tribut_osv  ADD CONSTRAINT fiscal_produto_tribut_osv_pkey PRIMARY KEY(ID);
alter table gerencial_pre_classificacao  ADD CONSTRAINT gerencial_pre_classificacao_pkey PRIMARY KEY(ID);
alter table gerar_configuracao_contrecf  ADD CONSTRAINT gerar_configuracao_contrecf_pkey PRIMARY KEY(ID);
alter table estoque_produto  ADD CONSTRAINT estoque_produto_pkey PRIMARY KEY(ID);
alter table adm_pessoa  ADD CONSTRAINT adm_pessoa_pkey PRIMARY KEY(ID);
alter table ir_property  ADD CONSTRAINT ir_property_pkey PRIMARY KEY(ID);
alter table wiki_make_index  ADD CONSTRAINT wiki_make_index_pkey PRIMARY KEY(ID);
alter table tarefas_compartilhamento  ADD CONSTRAINT tarefas_compartilhamento_pkey PRIMARY KEY(ID);
alter table adm_cnae  ADD CONSTRAINT adm_cnae_pkey PRIMARY KEY(ID);
alter table fiscal_tributacao_simples_nacional  ADD CONSTRAINT fiscal_tributacao_simples_nacional_pkey PRIMARY KEY(ID);
alter table contrecf_recomposicao_gt  ADD CONSTRAINT contrecf_recomposicao_gt_pkey PRIMARY KEY(ID);
alter table oservico_apontamento  ADD CONSTRAINT oservico_apontamento_pkey PRIMARY KEY(ID);
alter table veiculos_despesas  ADD CONSTRAINT veiculos_despesas_pkey PRIMARY KEY(ID);
alter table mercado_pulgas_vendas  ADD CONSTRAINT mercado_pulgas_vendas_pkey PRIMARY KEY(ID);
alter table rh_funcionario  ADD CONSTRAINT rh_funcionario_pkey PRIMARY KEY(ID);
alter table apuracao_imposto  ADD CONSTRAINT apuracao_imposto_pkey PRIMARY KEY(ID);
alter table wizard_registro_saida  ADD CONSTRAINT wizard_registro_saida_pkey PRIMARY KEY(ID);
alter table mercado_pulgas_produto  ADD CONSTRAINT mercado_pulgas_produto_pkey PRIMARY KEY(ID);
alter table wizard_conferencia_total  ADD CONSTRAINT wizard_conferencia_total_pkey PRIMARY KEY(ID);
alter table estoque_gerar_contagem_osv  ADD CONSTRAINT estoque_gerar_contagem_pkey PRIMARY KEY(ID);
alter table fiscal_import_nfe_itens_osv  ADD CONSTRAINT fiscal_import_nfe_itens_osv_pkey PRIMARY KEY(ID);
alter table wizard_alterar_preco_venda_fiscal  ADD CONSTRAINT wizard_alterar_preco_venda_fiscal_pkey PRIMARY KEY(ID);
alter table estoque_categoria  ADD CONSTRAINT estoque_categoria_pkey PRIMARY KEY(ID);
alter table relatorio_pedido_venda_osv  ADD CONSTRAINT relatorio_pedido_venda_osv_pkey PRIMARY KEY(ID);
alter table rel_registro_inventario_osv  ADD CONSTRAINT rel_registro_inventario_osv_pkey PRIMARY KEY(ID);
alter table fiscal_ncm  ADD CONSTRAINT fiscal_ncm_pkey PRIMARY KEY(ID);
alter table wizard_listagem_orcamento  ADD CONSTRAINT wizard_listagem_orcamento_pkey PRIMARY KEY(ID);
alter table automacao_atualizar_precos_osv  ADD CONSTRAINT automacao_atualizar_precos_pkey PRIMARY KEY(ID);
alter table wizard_ressuprimento_total  ADD CONSTRAINT wizard_ressuprimento_total_pkey PRIMARY KEY(ID);
alter table estoque_local_locacao  ADD CONSTRAINT estoque_local_locacao_pkey PRIMARY KEY(ID);
alter table listagem_de_requisicao_osv  ADD CONSTRAINT listagem_de_requisicao_osv_pkey PRIMARY KEY(ID);
alter table estoquealmoxarifado_requisicao_devolucao_osv  ADD CONSTRAINT estoquealmoxarifado_requisicao_devolucao_osv_pkey PRIMARY KEY(ID);
alter table oservico_requisicao_devolucao_osv  ADD CONSTRAINT oservico_requisicao_devolucao_osv_pkey PRIMARY KEY(ID);
alter table fiscal_import_nfe_osv  ADD CONSTRAINT fiscal_import_nfe_osv_pkey PRIMARY KEY(ID);
alter table wizard_consulta_movimento_itens  ADD CONSTRAINT wizard_consulta_movimento_itens_pkey PRIMARY KEY(ID);
alter table financeiro_natureza_cobranca  ADD CONSTRAINT financeiro_natureza_cobranca_pkey PRIMARY KEY(ID);
alter table wizard_action_section  ADD CONSTRAINT wizard_action_section_pkey PRIMARY KEY(ID);
alter table prorrogacao_titulo_osv  ADD CONSTRAINT prorrogacao_titulo_osv_pkey PRIMARY KEY(ID);

