# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class ctrsig_backup_movimento(osv.Model):
    _name = 'ctrsig.backup.movimento'
    _rec_name = 'csgbkm_pessoa_id'
    _columns = {
        'csgbkm_pessoa_id': fields.many2one("adm.pessoa", 'Cliente', required=True, select=True),
        'csgbkm_data': fields.datetime('Data do backup', required=True, select=True),
        'csgbkm_resultado': fields.boolean('Backup Ok'),
        'csgbkm_mensagem': fields.text('Mensagem de erro'),
        'csgbkm_email_enviado_para': fields.char('Enviado email para:', size=60),

    }
