UPDATE
    fiscal_nf_item_tributacao fnit
SET
    fisnit_cfop_id = (CASE
                          WHEN fnit.movimento_itens_id IS NOT NULL THEN emi.cfop_id
                          ELSE fcn.cfop_id
                      END)
FROM        fiscal_nf_capa nf
INNER JOIN  fiscal_cfop_natureza fcn
    ON fcn.id = nf.natureza_id
LEFT JOIN estoque_movimento_itens emi
    ON nf.id = emi.nf_id
WHERE
    nf.id = fnit.fisnit_capa_id
    AND fnit.fisnit_cfop_id IS NOT NULL
    AND fnit.fisnit_cfop_id != emi.cfop_id;
