SELECT estpro.codigo              AS codigo_produto,
       estpro.NAME                AS descricao,
       fistribenc.tipo_tributacao AS tipo_tributacao,
       fistrib.NAME               AS tributacao,
       fisenc.sigla               AS encargo_produto,
       fisenctrib.sigla           AS encargo_tributacao
FROM   fiscal_tributacao_encargos fistribenc
       INNER JOIN estoque_produto estpro
               ON fistribenc.produto_id = estpro.id
       INNER JOIN fiscal_encargo fisenc
               ON fisenc.id = fistribenc.encargo_id
       INNER JOIN fiscal_tributacao fistrib
               ON fistribenc.tributacao_id = fistrib.id
       INNER JOIN fiscal_encargo fisenctrib
               ON fisenctrib.id = fistrib.encargo_id
WHERE  fIsenc.sigla IN ( 'PIS', 'COFINS' )
       AND fisenc.sigla <> fisenctrib.sigla
