UPDATE fiscal_tributacao_encargos
SET    tributacao_id = 10,
       cst_id = 35
WHERE  id IN (SELECT fistribenc.id
              FROM   fiscal_tributacao_encargos fistribenc
                     INNER JOIN fiscal_ncm fisncm
                             ON fisncm.id = fistribenc.ncm_id
                     INNER JOIN fiscal_encargo fisenc
                             ON fisenc.id = fistribenc.encargo_id
                     INNER JOIN fiscal_tributacao fistrib
                             ON fistribenc.tributacao_id = fistrib.id
                     INNER JOIN fiscal_encargo fisenctrib
                             ON fisenctrib.id = fistrib.encargo_id
              WHERE  fIsenc.sigla IN ( 'PIS', 'COFINS' )
                     AND fisenc.sigla <> fisenctrib.sigla
                     AND fistribenc.tributacao_id = 6
                     AND fistribenc.cst_id = 68
                     AND fisncm.codigo = '40141000'
              ORDER  BY produto_id)
