-- Script para ajuste na tabela de CST que agora terá um novo campo o (fiscst_tipo_movimento ) informando o tipo de movimento do CST

--ICMS
--Ambas
update fiscal_cst set fiscst_tipo_movimento = 'A' where id in
        (select id from fiscal_cst where encargo_id in (select id from fiscal_encargo where sigla = 'ICMS' or sigla = 'ISS'));


--IPI

--Entrada
update fiscal_cst set fiscst_tipo_movimento = 'E' where id in
      (select id from fiscal_cst where encargo_id in 
              (select id from fiscal_encargo where sigla = 'IPI' and codigo in ( '00','01','02','03','04','05','49')));
--Saída
update fiscal_cst set fiscst_tipo_movimento = 'S' where id in
        (select id from fiscal_cst where encargo_id in 
                (select id from fiscal_encargo where sigla = 'IPI' and codigo in ( '50','51','52','53','54','55','99')));

--PIS

--Saída
update fiscal_cst set fiscst_tipo_movimento = 'S' where id in
        (select id from fiscal_cst where encargo_id in 
                (select id from fiscal_encargo where sigla = 'PIS' and codigo in ('01','02','03','04','05','06','07','08','09','49')));

--Entrada
update fiscal_cst set fiscst_tipo_movimento = 'E' where id in
        (select id from fiscal_cst where encargo_id in 
               (select id from fiscal_encargo where sigla = 'PIS' and 
                       codigo in ('50','51','52','53','54','55','56','60','61','62','63','64','65','66','67','70','71','72','73','74','75','98')));
--Ambas
update fiscal_cst set fiscst_tipo_movimento = 'A' where id in
        (select id from fiscal_cst where encargo_id in
                (select id from fiscal_encargo where sigla = 'PIS' and
                        codigo = '99'));

--COFINS

--Saída
update fiscal_cst set fiscst_tipo_movimento = 'S' where id in
        (select id from fiscal_cst where encargo_id in
                (select id from fiscal_encargo where sigla = 'COFINS' and codigo in ('01','02','03','04','05','06','07','08','09','49')));

--Entrada
update fiscal_cst set fiscst_tipo_movimento = 'E' where id in
        (select id from fiscal_cst where encargo_id in
                (select id from fiscal_encargo where sigla = 'COFINS' and
                        codigo in ('50','51','52','53','54','55','56','60','61','62','63','64','65','66','67','70','71','72','73','74','75','98')));

--Ambas
update fiscal_cst set fiscst_tipo_movimento = 'A' where id in
        (select id from fiscal_cst where encargo_id in
                (select id from fiscal_encargo where sigla = 'COFINS' and
                        codigo = '99'));